Package javax.servlet.http

## Enum MappingMatch

- java.lang.Object
- - java.lang.Enum<MappingMatch>
  - - javax.servlet.http.MappingMatch

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<MappingMatch>`

    public enum MappingMatch
    extends java.lang.Enum<MappingMatch>

Represents the ways that a request can be mapped to a servlet

Since:
  Servlet 4.0

### Enum Constant Summary

Enum Constants
`CONTEXT_ROOT` The request was mapped to the servlet via the context root URL pattern of `""`.
`DEFAULT` The request was mapped to the servlet via the default servlet URL pattern of `"/"` .
`EXACT` The request was mapped to the servlet using an exact URL pattern match.
`EXTENSION` The request was mapped to the servlet using an extension URL pattern match.
`PATH` The request was mapped to the servlet using a path URL pattern.

### Method Summary

All Methods Static Methods Concrete Methods
`static MappingMatch` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MappingMatch[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONTEXT_ROOT

    public static final MappingMatch CONTEXT_ROOT

The request was mapped to the servlet via the context root URL pattern of `""`.

#### DEFAULT

    public static final MappingMatch DEFAULT

The request was mapped to the servlet via the default servlet URL pattern of `"/"` .

#### EXACT

    public static final MappingMatch EXACT

The request was mapped to the servlet using an exact URL pattern match.

#### EXTENSION

    public static final MappingMatch EXTENSION

The request was mapped to the servlet using an extension URL pattern match.

#### PATH

    public static final MappingMatch PATH

The request was mapped to the servlet using a path URL pattern.

### Method Detail

#### values

    public static MappingMatch[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MappingMatch c : MappingMatch.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MappingMatch valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null